<?php
/**
 *	The main template file.
 *
 *	This is the most generic template file in a WordPress theme
 *	and one of the two required files for a theme (the other being style.css).
 *	It is used to display a page when nothing more specific matches a query.
 *	E.g., it puts together the home page when no home.php file exists.
 *
 *	@link https://codex.wordpress.org/Template_Hierarchy
 *
 *	@package WordPress
 *	@subpackage kira-lite
 */
?>
<?php get_header(); ?>
<main class="blog-list">
	<div class="container-fluid">
		<div class="row">
			<div class="col-sm-8">
				<?php
				if( have_posts() ):
					while( have_posts() ):
						the_post();
						get_template_part( 'template-parts/content', get_post_format() );
					endwhile;
				else:
					get_template_part( 'template-parts/content', 'none' );
				endif;
				?>
				<?php do_action( 'mtl_after_content_above_footer' ); ?>
			</div><!--/.col-sm-8-->
			<?php get_sidebar(); ?>
		</div><!--/.row-->
	</div><!--/.container-->
</main><!--/.blog-list-->
<?php get_footer(); ?>